SystemOrganization addCategory: #TpTraitsAlphaTest!

TestCase subclass: #ATestAlumno
	instanceVariableNames: 'alumnoPepe alu1 tadp tadp1 tadp2 docente1 so gdd'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:37'!
setUp

docente1 := ADocente new.
tadp := ACurso new.
so := ACurso new.
gdd := ACurso new.
alu1 := AAlumno new.

(alu1 AnotarseEn: tadp)  nota: 6.
(alu1 AnotarseEn: so ) nota: 2.
(alu1 AnotarseEn: gdd) setAbandonada .

docente1 cursos add: tadp .! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 18:57'!
testCantidadDeCursadasAbandonadas
	self assert: alu1 cantidadDeAbandonadas   equals: 1! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 18:56'!
testCantidadDeCursadasAprobadas 
	self assert: alu1 cantidadDeAprobadas  equals: 1! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:29'!
testCorteDeTiempo
"self assert: (alumnoPepe corteDeAo: 2012 promedioSinAplazos) equals: 6"! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:19'!
testNotaMasAltaALaQueLlegoNVeces! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:39'!
testPorcentajeDeCursosAprobadosSobreIniciados 
	self assert: alu1 porcentajeDeAprobadosSobreIniciados  equals: 33.33! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:38'!
testPromedioConAplazos
	self assert: alu1 promedioConAplazos  equals: 4! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/22/2013 14:50'!
testPromedioSinAplazos
	self assert: alu1 promedioSinAplazos  equals: 6! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:38'!
testTablaDeNotas 
	self assert: alu1 tablaDeNotas  equals:  #(0 1 0 0 0 1 0 0 0 0)
! !

TestCase subclass: #ATestCurso
	instanceVariableNames: 'alu1 tadp tadp1 tadp2 alu2 alu3 tadp3 tadp4 alu4 docente1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:32'!
setUp
docente1 := ADocente new.
tadp := ACurso new.

(AAlumno new AnotarseEn: tadp)  nota: 6.
(AAlumno new  AnotarseEn: tadp) nota: 2.
(AAlumno new AnotarseEn: tadp) nota: 8.
(AAlumno new AnotarseEn: tadp) setAbandonada .

docente1 cursos add: tadp .! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:27'!
testCantidadDeCursadasAbandonadas
	self assert: tadp cantidadDeAbandonadas   equals: 1! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:28'!
testCantidadDeCursadasAprobadas 
	self assert: tadp cantidadDeAprobadas  equals: 2! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:58'!
testPorcentajeDeCursosAprobadosSobreIniciados 
	self assert: tadp porcentajeDeAprobadosSobreIniciados  equals: 50! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:58'!
testPromedioConAplazos
	self assert: tadp promedioConAplazos  equals: 5.33! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:01'!
testPromedioSinAplazos
	self assert: tadp promedioSinAplazos   equals: 7! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:02'!
testTablaDeNotas 
	self assert: tadp tablaDeNotas  equals:  #(0 1 0 0 0 1 0 1 0 0)
! !

TestCase subclass: #ATestDocente
	instanceVariableNames: 'docente1 alu1 tadp tadp1 tadp2 alu2 alu3 tadp3 tadp4 alu4'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:43'!
setUp
docente1 := ADocente new.
tadp1 := ACurso new.

(AAlumno new AnotarseEn: tadp1)  nota: 6.
(AAlumno new  AnotarseEn: tadp1) nota: 2.
(AAlumno new AnotarseEn: tadp1) nota: 8.
(AAlumno new AnotarseEn: tadp1) setAbandonada .

docente1 cursos add: tadp1 .! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:09'!
testCantidadDeCursadasAbandonadas
	self assert: docente1  cantidadDeAbandonadas   equals: 1! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:09'!
testCantidadDeCursadasAprobadas 
	self assert: docente1  cantidadDeAprobadas  equals: 2! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:29'!
testPorcentajeDeCursosAprobadosSobreIniciados 
	self assert: docente1  porcentajeDeAprobadosSobreIniciados  equals: 50! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:30'!
testPromedioConAplazos
	self assert: docente1  promedioConAplazos  equals: 5.33! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:31'!
testPromedioSinAplazos
	self assert: docente1  promedioSinAplazos   equals: 7! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 21:33'!
testTablaDeNotas 
	self assert: tadp1 tablaDeNotas  equals:  #(0 1 0 0 0 1 0 1 0 0)
! !

TestCase subclass: #ATestMateria
	instanceVariableNames: 'alu1 tadp tadp1 tadp2 alu2 alu3 tadp3 tadp4 alu4 docente1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 21:29'!
setUp
docente1 := ADocente new.
tadp := AMateria new.

tadp1 := tadp AbrirCurso .
(AAlumno new AnotarseEn: tadp1)  nota: 6.
(AAlumno new  AnotarseEn: tadp1) nota: 2.
(AAlumno new AnotarseEn: tadp1) nota: 8.
(AAlumno new AnotarseEn: tadp1) setAbandonada .

docente1 cursos add: tadp1 .

tadp2 :=tadp AbrirCurso .
(AAlumno new AnotarseEn: tadp2)  nota: 6.
(AAlumno new  AnotarseEn: tadp2) nota: 2.
(AAlumno new AnotarseEn: tadp2) nota: 8.
(AAlumno new AnotarseEn: tadp2) setAbandonada .

docente1 cursos add: tadp2 .

! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 21:30'!
testCantidadDeCursadasAbandonadas
	self assert: tadp cantidadDeAbandonadas   equals: 2! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 21:31'!
testCantidadDeCursadasAprobadas 
	self assert: tadp cantidadDeAprobadas  equals: 4! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 21:32'!
testPorcentajeDeCursosAprobadosSobreIniciados 
	self assert: tadp  porcentajeDeAprobadosSobreIniciados  equals: 50! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 21:32'!
testPromedioConAplazos
	self assert: tadp  promedioConAplazos  equals: 5.33! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 21:32'!
testPromedioSinAplazos
	self assert: tadp   promedioSinAplazos   equals: 7! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 21:33'!
testTablaDeNotas 
	self assert: tadp tablaDeNotas  equals:  #(0 2 0 0 0 2 0 2 0 0)
! !
